Use Atlantic;
GO
SELECT O.customer_id
, D.destination_name
, COUNT(*) AS nbr_orders
, SUM(O.orders_qty * O.orders_sell_price) AS total_sales
FROM Orders AS O INNER JOIN Destination AS D
	ON O.destination_id = D.destination_id
GROUP BY ROLLUP(O.customer_id, D.destination_name);